Subject: Re: Better way to change the name of a column in a dataframe?

From: Don MacQueen <[email-masked]>
Date: Fri, 15 Dec 2006 16:49:25 -0800

And there is the rename.vars() function in the gdata package.
-Don

At 11:39 AM -0600 12/14/06, Ben Fairbank wrote:
>Hello R users --
>
>
>
>If I have a dataframe such as the following, named "frame" with the
>columns intended to be named col1 through col6,
>
>
>
>>  frame
>
>      col1 col2 cmlo3 col4 col5 col6
>
>[1,]    3   10     2    6    5    7
>
>[2,]    6    8     4   10    7    1
>
>[3,]    7    5     1    3    1    8
>
>[4,]   10    6     5    4    9    2
>
>
>
>and I want to correct or otherwise change the name of one of the
>columns, I can do so with
>
>
>
>>  dimnames(frame)[[2]][which(dimnames(frame)[[2]]=="cmlo3")] <- "col3"
>
>
>
>which renames the offending column:
>
>
>
>>  frame
>
>      col1 col2 col3 col4 col5 col6
>
>[1,]    3   10    2    6    5    7
>
>[2,]    6    8    4   10    7    1
>
>[3,]    7    5    1    3    1    8
>
>[4,]   10    6    5    4    9    2
>
>
>
>This seems cumbersome and not very intuitive.  How can one accomplish
>this more simply?
>
>
>
>With thanks for any suggestions,
>
>
>
>Ben Fairbank
>
>
>	[[alternative HTML version deleted]]
>
>______________________________________________
>[email-masked] mailing list
>https://stat.ethz.ch/mailman/listinfo/r-help
>PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
>and provide commented, minimal, self-contained, reproducible code.

-- 
--------------------------------------
Don MacQueen
Environmental Protection Department
Lawrence Livermore National Laboratory
Livermore, CA, USA

______________________________________________
[email-masked] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.